<?php

namespace Win7\Application\Common;

/**
 * @package App\Message
 * @author Jerfeson Guerreiro <jerfeson_guerreiro@hotmail.com>
 *
 * @method static string COLUNA_INVALIDA(string $nomeColuna)
 */
class Message
{

    public const COLUNA_INVALIDA = 'A coluna %s é inválida!';

    /**
     * @param $name
     * @param $arguments
     * @return string
     */
    public static function __callStatic($name, $arguments): string
    {
        $message = constant("static::$name");

        return vsprintf($message, $arguments);
    }
}